Error updating to Nvidia driver 550.54 on F39

I’m running Wayland on the 6.7.4 kernel and Gnome 45.4 on a Ryzen 1950X and GeForce GTX 1080 Ti.

Here’s the error dnf throws from the transaction test:

Error: Transaction test error:
  file /usr/lib64/libnvidia-egl-gbm.so.1 from install of nvidia-driver-libs-3:550.54.14-1.fc39.x86_64 conflicts with file from package egl-gbm-1:1.1.0-4.20230420gite5eee60.fc39.x86_64

I also posted on the Nvidia forum at this link

Has anyone else encountered this?

Thanks!
Fred

I got a reply on the Nvidia forum that fixed the egl-gbm problem (by removing repos from negativo and nvidia), but that meant I could not get the latest Nvidia driver.

I’ll just wait for the 550.54 release to show up on the usual repos.

There are often conflicts of this nature when using 3rd party repos beyond the rpmfusion repos.
I never see such conflicts with rpmfusion but there are many threads on this forum about such conflicts with negativo, INTTF, nvidia, etc. Rpmfusion explicitly tests to verify no conflicts with fedora repos & packages. It seems the others may not do the same.

The conflicts mostly seem to be between similar packages from different repos.

1 Like